Get a withdrawal
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals/{withdrawalId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals/{withdrawalId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals/{withdrawalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"quantity": "<string>",
"assetType": "<string>",
"info": {
"destinationId": "<string>"
},
"status": "PENDING",
"transactionId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get a withdrawal
Permissions required: Read vault activity
Get the current state of a single withdrawal.
GET
/
accounts
/
{accountId}
/
withdrawals
/
{withdrawalId}
Get a withdrawal
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals/{withdrawalId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals/{withdrawalId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/withdrawals/{withdrawalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"quantity": "<string>",
"assetType": "<string>",
"info": {
"destinationId": "<string>"
},
"status": "PENDING",
"transactionId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Path Parameters
Was this page helpful?